diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 39e9f4d..aa0e68b 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -9129,15 +9129,17 @@ ExpressionSpace(): Category == Defn where
     elt(op:OP, x:%, y:%, z:%, t:%) == op [x, y, z, t]
     eval(x:%, s:SY, f:List % -> %) == eval(x, [s], [f])
     eval(x:%, s:OP, f:List % -> %) == eval(x, [name s], [f])
-    eval(x:%, s:SY, f:% -> %)      == eval(x, [s], [f first #1])
-    eval(x:%, s:OP, f:% -> %)      == eval(x, [s], [f first #1])
+    eval(x:%, s:SY, f:% -> %)      == 
+      eval(x, [s], [(y:List %):% +-> f(first y)])
+    eval(x:%, s:OP, f:% -> %)      == 
+      eval(x, [s], [(y:List %):% +-> f(first y)])
     subst(x:%, e:Equation %)       == subst(x, [e])
 
     eval(x:%, ls:List OP, lf:List(% -> %)) ==
-      eval(x, ls, [f first #1 for f in lf]$List(List % -> %))
+      eval(x, ls, [y +-> f(first y) for f in lf]$List(List % -> %))
 
     eval(x:%, ls:List SY, lf:List(% -> %)) ==
-      eval(x, ls, [f first #1 for f in lf]$List(List % -> %))
+      eval(x, ls, [y +-> f(first y) for f in lf]$List(List % -> %))
 
     eval(x:%, ls:List OP, lf:List(List % -> %)) ==
       eval(x, [name s for s in ls]$List(SY), lf)
diff --git a/changelog b/changelog
index 2557282..e4b1467 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090508 tpd src/axiom-website/patches.html 20090508.09.tpd.patch
+20090508 tpd books/bookvol10.2 EF +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.08.tpd.patch
 20090508 tpd books/bookvol10.4 INTHERAL +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b255b79..5a1a06b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1130,5 +1130,7 @@ bookvol10.3 ALGFF +-> conversion<br/>
 bookvol10.2 CLAGG +-> conversion<br/>
 <a href="patches/20090508.08.tpd.patch">20090508.08.tpd.patch</a>
 bookvol10.4 INTHERAL +-> conversion<br/>
+<a href="patches/20090508.09.tpd.patch">20090508.09.tpd.patch</a>
+bookvol10.2 EF +-> conversion<br/>
  </body>
 </html>
